Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf.direct
Class RtfImportMappings

    java.lang.Object
      com.lowagie.text.rtf.direct.RtfImportMappings

    public class RtfImportMappings

extends Object

The RtfImportMappings make it possible to define font and color mappings when using the RtfWriter2.importRtfFragment method. This is necessary, because a RTF fragment does not contain font or color information, just references to the font and color tables.
The font mappings are fontNr -> fontName and the color mappigns are colorNr -> Color.

Version:
  $Revision: 2337 $
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private HashMap` | `colorMappings` The colorNr to Color mappings.
`private HashMap` | `fontMappings` The fontNr to fontName mappings.

Constructor Summary
`RtfImportMappings()` Constructs a new RtfImportMappings initialising the mappings.

Method Summary
`void` | `addColor(String colorNr, Color color)` Add a color to the list of mappings.
`void` | `addFont(String fontNr, String fontName)` Add a font to the list of mappings.
`HashMap` | `getColorMappings()` Gets the list of color mappings.
`HashMap` | `getFontMappings()` Gets the list of font mappings.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontMappings

    private HashMap fontMappings

  The fontNr to fontName mappings.

### colorMappings

    private HashMap colorMappings

  The colorNr to Color mappings.

Constructor Detail

### RtfImportMappings

    public RtfImportMappings()

  Constructs a new RtfImportMappings initialising the mappings.

Method Detail

### addFont

    public void addFont(String fontNr,
                        String fontName)

  Add a font to the list of mappings.

  Parameters:
    `fontNr` - The font number.
    `fontName` - The font name.

### addColor

    public void addColor(String colorNr,
                         Color color)

  Add a color to the list of mappings.

  Parameters:
    `colorNr` - The color number.
    `color` - The Color.

### getFontMappings

    public HashMap getFontMappings()

  Gets the list of font mappings. String to String.

  Returns:
    The font mappings.

### getColorMappings

    public HashMap getColorMappings()

  Gets the list of color mappings. String to Color.

  Returns:
    The color mappings.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD